Bug 213344 - Installing FC6 on platform with integrated ATI ES1000 Video Controller causes Anaconda's X display to be blurry
Installing FC6 on platform with integrated ATI ES1000 Video Controller causes...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-31 17:10 EST by David Lewanda
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-06 08:44:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lewanda 2006-10-31 17:10:04 EST
Description of problem:
I am currently attempting to install FC6 on two similar Intel Server platforms,
both of which use the ATI integrated ES1000 video controller.  Both have
successfully installed FC5 and run as expected.  When installing FC6, the
installer works fine while in graphical mode when it asks to check my disks, but
as soon as it attempts to enter the graphical mode, the appearance gets blurry
and jerky.

Version-Release number of selected component (if applicable):
FC 6 ISO downloaded on 10/30

How reproducible:
Always

Steps to Reproduce:
1. Begin graphical install by pressing <Enter> at first install screen
2. Proceed through console steps (loading drivers, testing media)
3. 
  
Actual results:
When the graphical portion of Anaconda attempts to load, the screen becomes
unreadable.

Expected results:
Anaconda should appear as normal as it did in FC 5

Additional info:
Comment 1 David Tonhofer 2006-11-19 18:26:55 EST
Not sure whether this is related: I have a Fujitsu-Siemens with an integrated
"ATI Rage XL AGP 2X" which works well under Red Hat ES 4 (and I think Fedora
Core 4 and also Red Hat 9.0 ;-) 

Installation of Fedora Core 6 on that machine works well (as does the first
reboot) (** repeat: graphical installation works well up to the end **) but
after that, there is serious trouble with X11: the screen cannot set itself up
properly (seems to restart continuously) and/or the screen sets itself up, shows
gdm greeter but also shows these 'large rectangles of random pixel that indicate
someone thought your video RAM was heap RAM' that we all learned to love back on
the Amiga. Then the keyboard and mouse inputs are lost. 

The update of FC6 makes things slightly better: the gdm greeter says after some
time that there are problems and that it is 'trying another greeter', which
gives you a stable login prompt -- but again after some time, the screen and
keyboard input seem to be lost and the screen is messed up.

Will run memtest86 now to be on the safe side, but I guess something is wrong
with the graphics driver.


Comment 2 Matěj Cepl 2006-12-28 13:00:36 EST
Were you able to install FC6 at least in text mode and run then X? If yes, could
you please attach your X server config file (/etc/X11/xorg.conf) and X server
log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

We are sorry for delay in the responding to this bug.

Thanks in advance.
Comment 3 David Tonhofer 2006-12-28 16:11:34 EST
Hi,

Shall I do this for the "ATI Rage XL AGP 2X" problem described? I recently
installed RH ES 4 on the machine but it's back in the dock because a HD
is busted. Now is the chance...

OTOH, should I open another bug as the ES1000 and Rage problems may not be
related at all?
Comment 4 David Tonhofer 2006-12-29 09:11:37 EST
Moved the "ATI Rage XL AGP 2X" problem to #220947, with attachments.
Comment 5 David Lewanda 2007-01-05 10:40:41 EST
Thanks for getting back to me on this bug.  Due to the delayed response, we
decided to stay with FC5 for the time being and I have been reassigned to other
tasks.  When I get a chance to access a machine with an ES1000 controller I will
attempt to gather the data requested.
Comment 6 Matěj Cepl 2007-04-05 11:53:08 EDT
reporter, ping -- could you please provide requested files? I will have to close
this bug otherwise.
Comment 7 David Lewanda 2007-04-05 16:42:10 EDT
Unfortunately, I have not been able to get access to a machine with the ES1000 
controller.  We have decided to remain on FC5 for our development effort for 
the time being.  If the bug needs to be closed, so be it.  If we decide to re-
evaulate FC6 in the future, we will try the solutions described above and 
report back with any futher data, opening a new bug if necessary.
Comment 8 Matěj Cepl 2007-04-06 08:44:26 EDT
Sorry, I have to then close this bug as INSUFFICIENT_DATA. If you will be able
to reproduce this with FC-6 and provide required information, please, reopen
this bug and attach the above-mentioned logs to this bug.

Note You need to log in before you can comment on or make changes to this bug.